SDL_LockJoysticks(3)

NAME
SDL_LockJoysticks - Locking for atomic access to the joystick API.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_LockJoysticks(void);

DESCRIPTION
The SDL joystick functions are thread-safe, however you can lock the joysticks while processing to guarantee that the joystick list won't change and joystick and gamepad events will not be delivered.

AVAILABILITY
This function is available since SDL 3.2.0.